Skip to main content
GET
/
public
/
v1
/
customer-refunds
/
List CustomerRefund records
curl --request GET \
  --url https://api.dualentry.com/public/v1/customer-refunds/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/customer-refunds/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/customer-refunds/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "transaction_ids": [
        123
      ],
      "internal_id": 123,
      "number": 123,
      "account_number": 123,
      "items": [
        {
          "amount": "<string>",
          "position": 123,
          "bank_or_credit_card_amount": "<string>",
          "customer_credit_number": 123,
          "customer_prepayment_number": 123
        }
      ],
      "company_id": 123,
      "company_name": "<string>",
      "company_currency": "<string>",
      "customer_id": 123,
      "customer_name": "<string>",
      "memo": "<string>",
      "check_number": "<string>",
      "date": "2023-12-25",
      "transaction_date": "2023-12-25",
      "exchange_rate": "<string>",
      "bank_or_credit_card_amount": "<string>",
      "amount": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "custom_fields": [],
      "attachments": [],
      "classifications": [],
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "payment_method_id": 123
    }
  ],
  "count": 123
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
customer_id
integer[] | null
start_date
string<date> | null
end_date
string<date> | null
transaction_currency
enum<string> | null
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
updated_after
string<date-time> | null
updated_before
string<date-time> | null
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicCustomerRefundSchemaOut · object[]
required
count
integer
required
Last modified on July 13, 2026